Skip to content

UpdateSubmission is used to move a submission to another status this can be done when its actually submitted for ingestion and/or when the ingestion is complete.

You call thisScope not enforced

PUT
/v2/storefront/listing/submission/{type}/{sku}
curl --request PUT \
--url https://api.zentail.com/v2/storefront/listing/submission/example/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "contentReceived": "example", "metadata": { "additionalProperty": "example" }, "changedAt": "2026-04-15T12:00:00Z", "status": "STATUS_UNSPECIFIED" }'
type
required
string

The submission type used when creating the submission

sku
required
string
Media typeapplication/json
UpdateSubmissionRequest is used to move a submission to another status
object
contentReceived
string
metadata
object
key
additional properties
string
changedAt
string format: date-time
status
string
default: STATUS_UNSPECIFIED
Allowed values: STATUS_UNSPECIFIED STATUS_SUBMITTED STATUS_ACCEPTED STATUS_REJECTED

A successful response.

Media typeapplication/json
Submission represents specific data sent to a channel for a particular SKU
object
submissionId
submission_id is returned by the API, setting this when calling ReplaceSubmissions will have no effect
string format: int64
sku
string
contentSent
string
contentReceived
string
metadata
object
key
additional properties
string
type
type is a user-specified type which is used to match like submissions when doing a replace operation
string
successful
boolean
submittedAttributeVersionIds
submitted_attribute_version_ids are the Attribute Version IDs of all of the Attributes that were part of this Submission. This is used to show the user in Zentail when each of the Attributes in the Listing were submitted. This is also reflected in the Listing and Variant endpoints via the submitted_at timestamp on each Attribute
Array<string>
preparedAt
string format: date-time
submittedAt
string format: date-time
acknowledgedAt
string format: date-time
Examplegenerated
{
"submissionId": "example",
"sku": "example",
"contentSent": "example",
"contentReceived": "example",
"metadata": {
"additionalProperty": "example"
},
"type": "example",
"successful": true,
"submittedAttributeVersionIds": [
"example"
],
"preparedAt": "2026-04-15T12:00:00Z",
"submittedAt": "2026-04-15T12:00:00Z",
"acknowledgedAt": "2026-04-15T12:00:00Z"
}

An unexpected error response.

Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}

Sourceapi-proto@afdb30cc via [email protected]

Built0c509dd3

This page describes the source document as deployed: the version listing pinned in its release r2026.09.24.02. A change merged upstream shows up here once it has deployed and the pins are next refreshed.

API changelog